package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuMatchSign;
import com.cku.model.CkuMatchSignWithBLOBs;

public interface CkuMatchSignMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CkuMatchSignWithBLOBs record);

    int insertSelective(CkuMatchSignWithBLOBs record);

    CkuMatchSignWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CkuMatchSignWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(CkuMatchSignWithBLOBs record);

    int updateByPrimaryKey(CkuMatchSign record);
    /**
     * 
     * @Description：查询犬只报名情况
     * @author: zhuoHeng
     * @version: 2016年4月2日 下午12:45:28
     */
    public List<CkuMatchSign> getTopDog(@Param("showNum")String showNum);
    /**
     * 
     * @Description：根据赛事编号和犬只CKU血统证书号查询犬只报名信息
     * @author: zhuoHeng
     * @version: 2016年4月2日 下午12:45:46
     */
    public List<CkuMatchSign> getSignByStudbookNum(@Param("showNum")String showNum,@Param("pedigreeNum") String pedigreeNum);
    

}